import request from '@/utils/request'

// 查询产品信息列表
export function listProducts(query) {
  return request({
    url: '/sfa/products/list',
    method: 'get',
    params: query
  })
}

// 查询产品信息详细
export function getProducts(productId) {
  return request({
    url: '/sfa/products/' + productId,
    method: 'get'
  })
}

// 新增产品信息
export function addProducts(data) {
  return request({
    url: '/sfa/products/addProduct',
    method: 'post',
    data: data
  })
}

// 修改产品信息
export function updateProducts(data) {
  return request({
    url: '/sfa/products/editProduct',
    method: 'post',
    data: data
  })
}

// 删除产品信息
export function delProducts(productId) {
  return request({
    url: '/sfa/products/' + productId,
    method: 'delete'
  })
}

